Std ViewZoomIn: Difference between revisions

From FreeCAD Documentation
(Revised. 'In progress' for now.)
No edit summary
 
(5 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Page in progress}}

<translate>
<translate>


<!--T:9-->
{{Docnav
{{Docnav
|[[Std_ViewIvIssueCamPos|Std ViewIvIssueCamPos]]
|[[Std_ViewIvIssueCamPos|ViewIvIssueCamPos]]
|[[Std_ViewZoomOut|Std ViewZoomOut]]
|[[Std_ViewZoomOut|ViewZoomOut]]
|[[Std_View_Menu|Std View Menu]]
|[[Std_View_Menu|Std View Menu]]
|IconL=Std_ViewIvIssueCamPos.svg
|IconL=Std_ViewIvIssueCamPos.svg
Line 26: Line 24:


<!--T:2-->
<!--T:2-->
The '''Std ViewZoomIn''' command zooms in the camera in the active [[3D_view|3D view]].
The '''Std ViewZoomIn''' command zooms in in the active [[3D_view|3D view]].


==Usage== <!--T:7-->
==Usage== <!--T:7-->
Line 35: Line 33:
#* Use the keyboard shortcut: {{KEY|Ctrl}}+{{KEY|+}}.
#* Use the keyboard shortcut: {{KEY|Ctrl}}+{{KEY|+}}.


==Notes==
==Notes== <!--T:10-->


<!--T:11-->
* It is also possible to zoom with the mouse scroll wheel.
* It is also possible to zoom with the mouse scroll wheel.


==Preferences==
==Preferences== <!--T:12-->


<!--T:13-->
* The zoom step (zoom factor) can be changed in the preferences: {{MenuCommand|Edit → Preferences... → Display → 3D View}}. This setting also affects scroll wheel zoom. See [[Preferences_Editor#3D_View|Preferences Editor]].
* The zoom factor can be changed in the preferences: {{MenuCommand|Edit → Preferences... → Display → Navigation → Zoom step}}. This setting also affects scroll wheel zoom. See [[Preferences_Editor#Navigation|Preferences Editor]].


==Scripting==
==Scripting== <!--T:14-->


<!--T:15-->
* Todo.
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

<!--T:16-->
To zoom in use the {{incode|zoomIn}} method of the ActiveView object. This method is not available if FreeCAD is in console mode.

</translate>
{{Code|code=
import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.zoomIn()
}}
<translate>


<!--T:17-->
{{Docnav
{{Docnav
|[[Std_ViewIvIssueCamPos|Std ViewIvIssueCamPos]]
|[[Std_ViewIvIssueCamPos|ViewIvIssueCamPos]]
|[[Std_ViewZoomOut|Std ViewZoomOut]]
|[[Std_ViewZoomOut|ViewZoomOut]]
|[[Std_View_Menu|Std View Menu]]
|[[Std_View_Menu|Std View Menu]]
|IconL=Std_ViewIvIssueCamPos.svg
|IconL=Std_ViewIvIssueCamPos.svg

Latest revision as of 20:38, 22 December 2020

Std ViewZoomIn

Menu location
View → Zoom → Zoom In
Workbenches
All
Default shortcut
Ctrl++
Introduced in version
-
See also
Std ViewZoomOut, Std ViewBoxZoom

Description

The Std ViewZoomIn command zooms in in the active 3D view.

Usage

  1. There are several ways to invoke the command:
    • Select the View → Zoom → Zoom In option from the menu.
    • Use the keyboard shortcut: Ctrl++.

Notes

  • It is also possible to zoom with the mouse scroll wheel.

Preferences

  • The zoom factor can be changed in the preferences: Edit → Preferences... → Display → Navigation → Zoom step. This setting also affects scroll wheel zoom. See Preferences Editor.

Scripting

See also: FreeCAD Scripting Basics.

To zoom in use the zoomIn method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.zoomIn()